## com.imcode.imcms.api
Class TestTextDocument

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.api.TestTextDocument

All Implemented Interfaces:
  junit.framework.Test

    public class TestTextDocument

extends junit.framework.TestCase

Constructor Summary
`TestTextDocument()`

Method Summary
`protected void` `setUp()`
`void` `testAddRemoveDocument()`
`void` `testMenuGetDocumentsAndMenuItems()`
`void` `testMenuGetDocumentsAndMenuItemsWithNothing()`
`void` `testMenuGetVisible()`
`void` `testMenuGetVisibleWithApprovedStatus()`
`void` `testMenuGetVisibleWithArchived()`
`void` `testMenuGetVisibleWithNothing()`
`void` `testMenuGetVisibleWithPublicationStart()`
`void` `testMenuGetVisibleWithPublished()`
`void` `testMenuGetVisibleWithPublishedAndVisibleInMenusForUnauthorizedUsers()`
`void` `testMenuGetVisibleWithRole()`
`void` `testMenuGetVisibleWithRoleAndPermission()`
`void` `testMenuGetVisibleWithVisibleInMenusForUnauthorizedUsers()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestTextDocument

    public TestTextDocument()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testMenuGetDocumentsAndMenuItemsWithNothing

    public void testMenuGetDocumentsAndMenuItemsWithNothing()

### testMenuGetDocumentsAndMenuItems

    public void testMenuGetDocumentsAndMenuItems()

### testMenuGetVisible

    public void testMenuGetVisible()

### testMenuGetVisibleWithArchived

    public void testMenuGetVisibleWithArchived()

### testMenuGetVisibleWithNothing

    public void testMenuGetVisibleWithNothing()

### testMenuGetVisibleWithRole

    public void testMenuGetVisibleWithRole()

### testMenuGetVisibleWithRoleAndPermission

    public void testMenuGetVisibleWithRoleAndPermission()

### testMenuGetVisibleWithApprovedStatus

    public void testMenuGetVisibleWithApprovedStatus()

### testMenuGetVisibleWithPublicationStart

    public void testMenuGetVisibleWithPublicationStart()

### testMenuGetVisibleWithPublished

    public void testMenuGetVisibleWithPublished()

### testMenuGetVisibleWithVisibleInMenusForUnauthorizedUsers

    public void testMenuGetVisibleWithVisibleInMenusForUnauthorizedUsers()

### testMenuGetVisibleWithPublishedAndVisibleInMenusForUnauthorizedUsers

    public void testMenuGetVisibleWithPublishedAndVisibleInMenusForUnauthorizedUsers()

### testAddRemoveDocument

    public void testAddRemoveDocument()
                               throws DocumentAlreadyInMenuException

  Throws:
    `DocumentAlreadyInMenuException`